#include <iostream>
#include <vector>
#include <iomanip>

typedef struct {
    double zarada;
    double porez;
} Niz;

int main (){
    int N;
    std::cin >> N;
    std::vector<Niz> niz(N);
    std::vector<double> porezi(N);
    
    
    for(int i = 0; i < N; i++){
        std::cin >> niz[i].zarada >> niz[i].porez;
        porezi[i] = niz[i].porez;
    }
    
    double zarada = 0;
    double max_zarada = 0;
    for(int i = 0; i < N; i++){
        zarada = 0;
        for(int j = 0; j < N; j++){
            if(porezi[i] <= niz[j].porez)
            zarada+= porezi[i] * niz[j].zarada;
            if(zarada > max_zarada)
            max_zarada = zarada;
        }
    }
    std::cout << std::fixed << std::setprecision(4) << max_zarada / 100;
    
}